Name:             usbmuxd
Version:          1.1.0
Release:          16
Summary:          Daemon for communicating with Apple's iOS devices
License:          GPLv3+ or GPLv2+
URL:              http://www.libimobiledevice.org/
Source0:          http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2

Patch0000:        0000-udev-ensure-that-all-events-relating-to-device-are-t.patch
Patch0001:        0001-udev-Handle-all-events-only-once.patch
Patch0002:        0002-udev-Work-around-systemd-bug-related-to-bind-events.patch

BuildRequires:    gcc libimobiledevice-devel libplist-devel libusbx-devel systemd autoconf libtool automake
Requires(pre):    shadow-utils
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
usbmuxd is a socket daemon to multiplex connections from and to iOS devices.It allows multiple
services on the device to be accessed simultaneously.

%package help
Summary:          Help package for %{name}

%description help
This package contains some man help files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1
autoreconf -f -i
sed -i 's/OWNER="usbmux"/OWNER="usbmuxd"/' udev/39-usbmuxd.rules.in
sed -i 's/--user usbmux/--user usbmuxd/' systemd/usbmuxd.service.in

%build
%configure
%make_build V=1

%install
%make_install

%pre
getent group usbmuxd >/dev/null || groupadd -r usbmuxd -g 113
getent passwd usbmuxd >/dev/null || useradd -r -g usbmuxd -d / -s /sbin/nologin -c "usbmuxd user" -u 113 usbmuxd
exit 0

%post
%systemd_post usbmuxd.service

%preun
%systemd_preun usbmuxd.service

%postun
%systemd_postun_with_restart usbmuxd.service

%files
%doc AUTHORS README COPYING.GPLv2 COPYING.GPLv3
%{_unitdir}/usbmuxd.service
%{_udevrulesdir}/39-usbmuxd.rules
%{_sbindir}/usbmuxd

%files help
%{_datadir}/man/man1/usbmuxd.1.gz

%changelog
* Fri Nov 29 2019 lingsheng <lingsheng@huawei.com> - 1.1.0-16
- Package init
